# Basic_Arguments.h File Reference

`#include "tao/Basic_Argument_T.h"`
`#include "tao/Arg_Traits_T.h"`
`#include "tao/Any_Insert_Policy_T.h"`

Include dependency graph for Basic_Arguments.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO

## Classes

class | TAO::Arg_Traits< void >
| Specialization for void return type. More...
class | TAO::Arg_Traits< CORBA::Short >
| Specializations for basic stub arg types, except (w)char/boolean/octet. More...
class | TAO::Arg_Traits< CORBA::Long >
class | TAO::Arg_Traits< CORBA::UShort >
class | TAO::Arg_Traits< CORBA::ULong >
class | TAO::Arg_Traits< CORBA::Float >
class | TAO::Arg_Traits< CORBA::Double >
class | TAO::Arg_Traits< CORBA::LongLong >
class | TAO::Arg_Traits< CORBA::ULongLong >
class | TAO::Arg_Traits< CORBA::LongDouble >

## Detailed Description

Id
  Basic_Arguments.h,v 1.6 2006/02/24 09:42:03 jwillemsen Exp

Authors:
  Jeff Parsons and Carlos O'Ryan